Package be.fgov.ehealth.genericinsurability.core.v1

# Class AbstractIdType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.SelfRefType
be.fgov.ehealth.genericinsurability.core.v1.AbstractIdType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IdType`, `PackageType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public abstract class AbstractIdType extends SelfRefType implements Serializable
Everything that is an entity derives from this type. Enties are object that are distinguishable and have a name. This name isn't nesesary unique.

Java class for AbstractIdType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractIdType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:genericinsurability:core:v1}SelfRefType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}ValueRefString" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractIdType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValueRefString`
  `getName()`
  Optional name of entity.
  `void`
  `setName(ValueRefString value)`
  Sets the value of the name property.

  ### Methods inherited from class be.fgov.ehealth.genericinsurability.core.v1.SelfRefType

  `getId, getRef, setId, setRef`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractIdType

    public AbstractIdType()

- ## Method Details

  - ### getName

    public ValueRefString getName()
    Optional name of entity. If provided it is used in a pure informal way. It will be added to certain logs and might appear on some representations.
    Returns:
      possible object is `ValueRefString`

  - ### setName

    public void setName(ValueRefString value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `ValueRefString`
    See Also:
      - `getName()`